Description: Preferences window will now open up once.
Bug-Debian: http://bugs.debian.org/432676
Bug-Ubuntu: https://launchpad.net/bugs/62081
Author: Diego Ongaro (ongardie)

--- a/GmailConfig.py
+++ b/GmailConfig.py
@@ -264,6 +264,9 @@
 	def get_lang( self ):
 		return self.lang
 			
+	def no_username_or_password( self ):
+		return ( self.options["gmailusername"] == None or self.options["gmailpassword"] == None )
+
 	def main( self ):
 		gtk.main()
 		
--- a/notifier.py
+++ b/notifier.py
@@ -56,8 +56,11 @@
         	# Reference to global options
 	        self.options = self.configWindow.options
                 # Check if there is a user and password, if not, load config window
-                while ( self.options["gmailusername"] == None or self.options["gmailpassword"] == None ):
+                if self.configWindow.no_username_or_password():
                         self.configWindow.show()
+                        # If there's still not a username or password, just exit.
+                        if self.configWindow.no_username_or_password():
+                                sys.exit(0)
 		# Load selected language
 		self.lang = self.configWindow.get_lang()
 		print "selected language: "+self.lang.get_name()
